[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#341658: libqt4-core: QBitArray operator{&,|,^}(...) missing from libQtCore.so

Package: libqt4-core
Version: 4.0.1-5
Severity: normal

The functions

QBitArray operator&(const QBitArray &, const QBitArray &);
QBitArray operator|(const QBitArray &, const QBitArray &);
QBitArray operator^(const QBitArray &, const QBitArray &);

are missing from libQtCore.so.

Compiling the following program

// snip
#include <QtCore/QBitArray>

int main(int argc, char** argv) {
  QBitArray a, b;
  a & b;
  return 0;
// snip

$ g++ -I/usr/include/qt4 test.cpp -lQtCore


/tmp/cciBW0Xe.o: In function `main':test.cpp:(.text+0x53): undefined
reference to `operator&(QBitArray const&, QBitArray const&)'
collect2: ld returned 1 exit status

best regards


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-shl3
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages libqt4-core depends on:
ii  libc6                         2.3.5-8.1  GNU C Library: Shared libraries an
ii  libfontconfig1                2.3.2-1.1  generic font configuration library
ii  libgcc1                       1:4.0.2-4  GCC support library
ii  libstdc++6                    4.0.2-4    The GNU Standard C++ Library v3
ii  zlib1g                        1:1.2.3-8  compression library - runtime

libqt4-core recommends no packages.

-- no debconf information

Reply to: